petsc-3.12.1 2019-10-22
Report Typos and Errors

# DMStagSetUniformCoordinatesExplicit

set DMStag coordinates to be a uniform grid, storing all values

### Synopsis

    PetscErrorCode DMStagSetUniformCoordinatesExplicit(DM dm,PetscReal xmin,PetscReal xmax,PetscReal ymin,PetscReal ymax,PetscReal zmin,PetscReal zmax)

Collective

### Input Parameters

| dm | - the DMStag object
| xmin,xmax,ymin,ymax,zmin,zmax | - maximum and minimum global coordinate values

### Notes

DMStag supports 2 different types of coordinate DM: either another DMStag, or a DMProduct. If the grid is orthogonal, using DMProduct should be more efficient. Arguments corresponding to higher dimensions are ignored for 1D and 2D grids.

### See Also

DMSTAG, DMStagSetUniformCoordinates(), DMStagSetUniformCoordinatesProduct(), DMStagSetCoordinateDMType()

### Level

beginner

### Location

src/dm/impls/stag/stagutils.c

### Implementations

DMStagSetUniformCoordinatesExplicit_1d in src/dm/impls/stag/stag1d.c
DMStagSetUniformCoordinatesExplicit_2d in src/dm/impls/stag/stag2d.c
DMStagSetUniformCoordinatesExplicit_3d in src/dm/impls/stag/stag3d.c
Index of all DMSTAG routines
Table of Contents for all manual pages
Index of all manual pages